[#macro messageform command]
[#local uniqueId=(model.threadId)!model.forumId!0]
[#if model.allowedToPost]
  <script language="javascript" type="text/javascript">
      // <!--

      var notEmpty = function(elementId, elementName, errors) {
          var target = document.getElementById(elementId);
          var valid = target.value != null && target.value != "";

          if (!valid) {
              errors.push(new Array(elementId, "${i18n.get('template.comments.error.empty.before')}" + elementName + "${i18n.get('template.comments.error.empty.after')}"));
          }
          return valid;
      }

      function signal(errors) {
          alert(errors);
      }

      function validate(items) {
          var errors = new Array();
          var valid = true;

          for(var j=0; j<items.length; j++) {
              var currentId = items[j][0];
              var currentName = items[j][1];
              var currentFunctor = items[j][2];

              valid = currentFunctor(currentId, currentName, errors) && valid;
          }

          if (!valid) {
              var errorString = "${i18n.get('template.comments.error.thereAreErrors')}\n";
              for (var i=0; i<errors.length; i++) {
                  errorString = errorString + errors[i][1] + "\n";
              }
              signal(errorString);

              if (errors.length > 0) {
                  var firstFailed = document.getElementById(errors[0][0]);
                  firstFailed.focus();
              }
          }
          return valid;
      }

      var itemsToValidate = new Array();

      // -->
  </script>
  <form action="" method="post" id="forum-form-${uniqueId}" onsubmit="return validate(itemsToValidate)">
    <input type="hidden" name="mgnlModelExecutionUUID" value="${content.@id}" />
      <p class="required"><span>*</span> ${i18n.get('template.comments.required')}</p>
      <fieldset>
          <h2>${i18n.get('template.comments.title')}</h2>
          <div style="display:none">
            <input type="hidden" name="command" value="replyToThread"/>
                  [#if model.threadId??]
            <input type="hidden" name="threadId" value="${model.threadId}"/>
                  [#else]
            <input type="hidden" name="newThread" value=""/>
                  [/#if]
                  <input type="hidden" name="inReplyTo" value="${model.inReplyTo!''}"/>
                </div>
          <div>
              <label for="title">
                  <span>${i18n.get('template.comments.topic')}:</span>
                  <input id="${uniqueId}-messageTitle" name="messageTitle" type="text"/>
              </label>
          </div>
          <div>
              <label for="messageText">
                  <span>${i18n.get('template.comments.message')}: <dfn title="required">*</dfn></span>
                  <textarea id="${uniqueId}-messageText" name="messageText" rows="5" cols="20"></textarea>
              </label>
            <script language="javascript" type="text/javascript">
                itemsToValidate.push(new Array("${uniqueId}-messageText", "${i18n.get('template.comments.message')}", notEmpty));
            </script>
          </div>
          <div>
              <label for="name">
                  <span>${i18n.get('template.comments.user')}: <dfn title="required">*</dfn></span>
                  [#if !model.anonymous]
                    <input id="${uniqueId}-name" name="name" type="text" value="${ctx.user.name}" disabled="disabled"/>
                  [#else]
                    <input id="${uniqueId}-name" name="name" type="text"/>
                  [/#if]
              </label>
              <script language="javascript" type="text/javascript">
                itemsToValidate.push(new Array("${uniqueId}-name", "${i18n.get('template.comments.user')}", notEmpty));
              </script>
          </div>
          <div>
              <label for="email">
                  <span>${i18n.get('template.comments.mail')}: <dfn title="required">*</dfn></span>
                  [#if !model.anonymous]
                    [#if ctx.user.getProperty('email')?has_content]
                      <input id="${uniqueId}-email" name="email" type="text" value="${ctx.user.getProperty('email')}" disabled="disabled"/>
                    [#else]
                      <input id="${uniqueId}-email" name="email" type="text" value=""/>
                    [/#if]
                  [#else]
                    <input id="${uniqueId}-email" name="email" type="text">
                  [/#if]
              </label>
              <script language="javascript" type="text/javascript">
                  itemsToValidate.push(new Array("${uniqueId}-email", "${i18n.get('template.comments.mail')}", notEmpty));
              </script>
          </div>
          <div>
              <label for="url">
                  <span>${i18n.get('template.comments.url')}:</span>
                  <input id="${uniqueId}-url" name="url" type="text"/>
              </label>
          </div>
          <div class="button-wrapper">
              <input value="${i18n.get('template.comments.submit')}" type="submit"  accesskey="s">
          </div>
      </fieldset>
      [#if !model.showingUnvalidatedMessages]
        <p class="forum warning">${i18n.get('template.comments.postVisibilityDelayed')}</p>
      [/#if]
  </form>
[#else]
    [#if content.alternativeText?has_content]
        <p class="forum warning">${content.alternativeText}</p>
    [/#if]
[/#if]
[/#macro]
