[#assign commentEl = model.getStatic("info.magnolia.module.commenting.util.CommentingElFunctions")]

[#macro blockquote count]
  [#list 1..count as x]<blockquote>[/#list]
  [#nested]
  [#list 1..count as x]</blockquote>[/#list]
[/#macro]

[#if actionResult == "success"]
  [#if content.threadReplyPage?has_content]
    [#assign replyLinkUrl]${ctx.contextPath}${content.threadReplyPage}?threadId=${model.threadId}[/#assign]
  [/#if]

<script>
  /**
   * Hides the "message title" field (irrelevant when responding),
   * sets the "in reply to" field value,
   * and gives the focus on the "message text" field.
   */
  function fCreplyTo(threadId, messageId) {
    var form = document.getElementById('forum-form-' + threadId);
    form['messageTitle'].parentNode.style.display = 'none';
    form['inReplyTo'].value = messageId;
    form['messageText'].focus();
  }
</script>

  <div id="comments">
    <h2>${i18n.get('template.comments.comments',[model.messages?size])}</h2>
    <ul>
      [#list cmsfn.asContentMapList(model.messages) as msg]
      [#assign msgUrl=msg.properties.url!]
      [#assign msgName=msg.anonymousUsername!msg.authorId]
      <li id="${msg.@id}">
        <div class="comment-count" id="comment-count-${msg_index + 1}">${msg_index + 1}</div>
        [@blockquote  model.getDepth(msg)]
            [#if model.getDepth(msg) = 1]
              <h3>${(msg.title!i18n.get('template.comments.untitled'))?html}</h3>
              <p>${msg.content?html}</p>
            [#else]
              <p style="padding-top:10px">${msg.content?html}</p>
            [/#if]
            <p class="comment-meta"><cite>[#rt]
              [#if commentEl.userEmail(msg.authorId)?has_content]
                <img src="${commentEl.gravatarImage('${commentEl.userEmail(msg.authorId)}', 48)}" alt="avatar" width="48" height="48"/>[#t]
              [#elseif msg.properties.email?has_content]
                <img src="${commentEl.gravatarImage('${msg.properties.email}', 48)}" alt="avatar" width="48" height="48"/>[#t]
              [#else]
                <img src="${ctx.contextPath}${model.def.parameters.avatarImage}" alt="avatar">[#t]
              [/#if]
              <span class="comment-name">[#t]
                [#if msgUrl?has_content]<a href="${msgUrl?html}">${msgName?html}</a>[#else]${msgName?html}[/#if][#t]
                [#if msg.anonymousUsername?has_content]<span class="comment-anonymous">${i18n.get('template.comments.anonymousUser')}</span>[/#if][#t]
              </span>[#t]
              <span class="comment-date">${msg.creationDate}</span>[#t]
              <span class="comment-reply-action">[#t]
                <a href="[#if replyLinkUrl??]${replyLinkUrl}&inReplyTo=${msg.@id}[#else]#[/#if]"[#t]
                     onclick="fCreplyTo('${model.threadId}', '${msg.@id}'); return false;">${i18n.get('template.comments.reply')}</a>[#t]
              </span>[#t]
            </cite></p>[#lt]
        [/@blockquote]
      </li>
      [/#list]
    </ul>
  </div>


  [#if model.pageCount > 1]
  <div class="pageLinks">
    <p>${i18n.get('template.threadView.pageLinks')}</p>
    <ul class="pageLinks">
    [#list 1..model.pageCount as page]
      <li><a href="${ctx.contextPath}${ctx.aggregationState.currentURI}?threadId=${model.threadId}&page=${page}">${i18n.get('template.comments.pageLink', [page])}</a></li>
    [/#list]
    </ul>
  </div>
  [/#if]
  [#if !model.messages?has_content]
    <h3>${i18n.get('template.comments.noComments')}</h3>
  [/#if]
  [#-- TODO : make the inline reply form optional --]
  [#if model.thread?has_content && model.thread.locked]
    <div id="comments-closed">
      <h3>${i18n.get('template.comments.closed.title')}</h3>
      <p>${i18n.get('template.comments.closed.text')}</p>
    </div>
  [#else]
    <div id="your-comment" class="form-wrapper">
      [#include 'comment-form.inc.ftl']
      [@messageform command='replyToThread'/]
    </div> <!-- end form-wrapper -->
  [/#if]
[/#if]
